Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoSpaceballButtonEvent Class Reference
[Event classes]

`#include <Inventor/events/SoSpaceballButtonEvent.h>`

Inheritance diagram for SoSpaceballButtonEvent:

List of all members.

## Detailed Description

The SoSpaceballButtonEvent class contains information about spaceball button interaction.

When the user presses any buttons on a spaceball device, these will be translated from a system specific event into a Coin event and sent to the scenegraph by using instances of this class.

See also:
  SoEvent, SoButtonEvent, SoMouseButtonEvent, SoKeyboardEvent

  SoEventCallback, SoHandleEventAction

## Public Types
enum | Button { ANY, BUTTON1, BUTTON2, BUTTON3, BUTTON4, BUTTON5, BUTTON6, BUTTON7, BUTTON8, PICK }
## Public Member Functions
| SoSpaceballButtonEvent (void)
virtual | ~SoSpaceballButtonEvent ()
void | setButton (SoSpaceballButtonEvent::Button button)
SoSpaceballButtonEvent::Button | getButton (void) const
## Static Public Member Functions
SbBool | isButtonPressEvent (const SoEvent *e, SoSpaceballButtonEvent::Button whichButton)
SbBool | isButtonReleaseEvent (const SoEvent *e, SoSpaceballButtonEvent::Button whichButton)
void | initClass (void)

## Member Enumeration Documentation

enum SoSpaceballButtonEvent::Button

| This enum contains all spaceball buttons detected by Coin.

## Constructor & Destructor Documentation

SoSpaceballButtonEvent::SoSpaceballButtonEvent | ( | void |  | ) |

| Constructor.

SoSpaceballButtonEvent::~SoSpaceballButtonEvent | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoSpaceballButtonEvent::setButton | ( | SoSpaceballButtonEvent::Button | button | ) |

| Set the value of the button which the user interacted with. This method is used from the window specific device classes when translating events to the generic Coin library. See also: getButton()

SoSpaceballButtonEvent::Button SoSpaceballButtonEvent::getButton | ( | void |  | ) | const

| Returns the value of the button which was pressed or released. See also: getState() wasShiftDown(), wasCtrlDown(), wasAltDown(), getPosition(), getTime()

SbBool SoSpaceballButtonEvent::isButtonPressEvent | ( | const SoEvent * | e,
|  | SoSpaceballButtonEvent::Button | whichButton
| ) | `[static]`

| Convenience method for quickly checking if the given event is a press on the given button, `whichButton`. See also: isButtonReleaseEvent(), isOfType(), getButton(), getState()

SbBool SoSpaceballButtonEvent::isButtonReleaseEvent | ( | const SoEvent * | e,
|  | SoSpaceballButtonEvent::Button | whichButton
| ) | `[static]`

| Convenience method for quickly checking if the given event is a release of the given button, `whichButton`. See also: isButtonPressEvent(), isOfType(), getButton(), getState()

void SoSpaceballButtonEvent::initClass | ( | void |  | ) | `[static]`

| Initialize the type information data. Reimplemented from SoButtonEvent.

The documentation for this class was generated from the following files:

- SoSpaceballButtonEvent.h
- SoSpaceballButtonEvent.cpp